Skip to main content
PATCH
/
v1
/
channel
/
seller
Update Seller
curl --request PATCH \
  --url https://scx-sbx.api.jtl-software.com/v1/channel/seller \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data @- <<EOF
{
  "session": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
  "isActive": true,
  "companyName": "Bernd's brennender Brennholzverleih GmbH"
}
EOF
{
  "errorList": [
    {
      "code": "VAL100",
      "message": "Required field sellerId not found",
      "severity": "error",
      "hint": "Check the field `sellerId` — it must be a non-empty string."
    }
  ]
}

Authorizations

Authorization
string
header
required

As a Channel Integrator you will receive a API Refresh Token. With such a Refresh Token you need to request an Access Token with a limited Lifetime (see POST /v1/auth). This Access Token must be provided as a Bearer Token in the Authorization Header with every request.

Body

application/json

Updated master data for an existing seller account.

Payload used to update master data and active flag of an existing seller account.

session
string<uuid>
required
Example:

"f81d4fae-7dec-11d0-a765-00a0c91e6bf6"

isActive
boolean
required
Example:

true

companyName
string
Example:

"Bernd's brennender Brennholzverleih GmbH"

Response

Seller updated